Skip to main content
GET
/
customers
/
{id}
/
score-streaks
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/customers/{id}/score-streaks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.masivo.ai/api/storefront/v1/customers/{id}/score-streaks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.masivo.ai/api/storefront/v1/customers/{id}/score-streaks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "<string>",
      "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "current_cycle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "current_score": 7,
      "current_streak": 7,
      "highest_milestone_score": 5,
      "period_started_at": "2023-11-07T05:31:56Z",
      "period_ends_at": "2023-11-07T05:31:56Z",
      "period_score": 1,
      "period_event_count": 1,
      "next_reset_at": "2023-11-07T05:31:56Z",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "last_qualified_at": "2023-11-07T05:31:56Z",
      "last_loss_at": "2023-11-07T05:31:56Z",
      "last_reset_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The customer unique identifier in your system

Query Parameters

score_streak_id
string<uuid>

Filter results to a single score streak by its UUID

campaign_id
string<uuid>

Filter results to streaks belonging to a specific campaign

status
enum<string>
default:ACTIVE

Filter streaks by status. Defaults to ACTIVE

Available options:
ALL,
ACTIVE,
CLOSED
include
enum<string>

Pass history to include flattened, time-ordered history events in the response

Available options:
history
limit
integer
default:100

Maximum number of history events to return when include=history. Defaults to 100, max 200

Required range: 1 <= x <= 200

Response

Ok

Default response (no include param)

data
object[]